Subject: Re: [PATCH v2 03/20] net: pcnet: slight optimization of addr compare

From: Ding Tianhong <[email-masked]>
Date: Tue, 24 Dec 2013 21:47:30 +0800

于 2013/12/24 20:38, Joe Perches 写道:
> On Tue, 2013-12-24 at 19:27 +0800, Ding Tianhong wrote:
>> Use possibly more efficient ether_addr_equal_unaligned
>> to instead of memcmp.
> 
> Hi again Ding.
> 
>> diff --git a/drivers/net/ethernet/amd/pcnet32.c b/drivers/net/ethernet/amd/pcnet32.c
> []
>> @@ -1668,7 +1668,7 @@ pcnet32_probe1(unsigned long ioaddr, int shared, struct pci_dev *pdev)
> []
>> -	if (memcmp(promaddr, dev->dev_addr, ETH_ALEN) ||
>> +	if (!ether_addr_equal(promaddr, dev->dev_addr) ||
> 
> Can you please make sure the commit message matches the
> code changes?
> 
> This uses ether_addr_equal not ether_addr_equal_unaligned.
> 
> Thanks for the work.
> 

Oh， no,  maybe I was dizzy by these patches,  I should be more careful,
sorry about that, I will resend this one.

Regards
Ding

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>